%define url_ver	%(echo %{version} | cut -d. -f1,2)

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/%{name}/plugins/.*\\.so

Name:		xfdashboard
Version:	1.0.0
Release:	%mkrel 2
Summary:	GNOME shell like dashboard for Xfce
Group:		Graphical desktop/Xfce
License:	GPLv2+
URL:		https://docs.xfce.org/apps/xfdashboard/start
Source0:	https://archive.xfce.org/src/apps/xfdashboard/%{url_ver}/xfdashboard-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xdamage)
#BuildRequires:	xfce4-dev-tools

%description
Xfdashboard provides a GNOME shell dashboard like interface for use with Xfce
desktop. It can be configured to run to any keyboard shortcut and when executed
provides an overview of applications currently open enabling the user to switch
between different applications. The search feature works like Xfce's app finder
which makes it convenient to search for and start applications.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
# to fix RPATH
%xdt_autogen

%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md
%{_bindir}/xfdashboard*
%{_datadir}/%{name}/
%{_datadir}/themes/%{name}*/
%{_sysconfdir}/xdg/autostart/org.xfce.xfdashboard-autostart.desktop
%{_datadir}/applications/org.xfce.xfdashboard*.desktop
%{_metainfodir}/org.xfce.xfdashboard.metainfo.xml
%{_iconsdir}/hicolor/*/apps/org.xfce.xfdashboard.{png,svg}

#plugins
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/%{name}/plugins/autopin-windows.so
%{_libdir}/%{name}/plugins/clock-view.so
%{_libdir}/%{name}/plugins/gnome-shell-search-provider.so
%{_libdir}/%{name}/plugins/hot-corner.so
%{_libdir}/%{name}/plugins/middle-click-window-close.so
%{_libdir}/%{name}/plugins/recently-used-search-provider.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.0-2.mga10
+ Revision: 2215076
- Mageia 10 Mass Rebuild

* Sun Aug 14 2022 wally <wally> 1.0.0-1.mga9
+ Revision: 1877607
- new version 1.0.0

* Mon Jul 18 2022 wally <wally> 0.9.91-1.mga9
+ Revision: 1869324
- new version 0.9.91

* Mon Apr 04 2022 umeabot <umeabot> 0.9.90-2.mga9
+ Revision: 1843017
- Mageia 9 Mass Rebuild

* Mon Mar 07 2022 wally <wally> 0.9.90-1.mga9
+ Revision: 1789302
- new version 0.9.90

* Sun Oct 03 2021 wally <wally> 0.9.5-1.mga9
+ Revision: 1748922
- new version 0.9.5

* Fri Sep 24 2021 wally <wally> 0.9.4-1.mga9
+ Revision: 1746298
- new version 0.9.4

* Mon Apr 26 2021 wally <wally> 0.9.3-1.mga9
+ Revision: 1719918
- new version 0.9.3

* Fri Mar 19 2021 wally <wally> 0.9.1-1.mga9
+ Revision: 1704885
- new version 0.9.1

* Fri Mar 12 2021 wally <wally> 0.8.1-1.mga9
+ Revision: 1701794
- new version 0.8.1

* Wed Dec 23 2020 wally <wally> 0.8.0-1.mga8
+ Revision: 1663213
- new version 0.8.0

* Tue Nov 17 2020 wally <wally> 0.7.90-1.mga8
+ Revision: 1646917
- new version 0.7.90

* Sat Sep 26 2020 wally <wally> 0.7.8-1.mga8
+ Revision: 1630612
- new version 0.7.8

* Wed Feb 19 2020 umeabot <umeabot> 0.7.7-2.mga8
+ Revision: 1543183
- Mageia 8 Mass Rebuild

* Fri Jan 17 2020 wally <wally> 0.7.7-1.mga8
+ Revision: 1481357
- new version 0.7.7
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Dec 31 2018 wally <wally> 0.7.5-1.mga7
+ Revision: 1347469
- new version 0.7.5

* Sun Sep 23 2018 umeabot <umeabot> 0.7.4-2.mga7
+ Revision: 1301895
- Mageia 7 Mass Rebuild

* Sat Sep 30 2017 wally <wally> 0.7.4-1.mga7
+ Revision: 1162014
- new version 0.7.4

* Tue May 24 2016 wally <wally> 0.6.0-1.mga6
+ Revision: 1018202
- add lib and devel pkgs
- new version 0.6.0

* Mon Dec 21 2015 wally <wally> 0.5.4-1.mga6
+ Revision: 913032
- new version 0.5.4

* Sun Nov 15 2015 wally <wally> 0.5.3-1.mga6
+ Revision: 903426
- new version 0.5.3
- drop patches from upstream

* Tue Oct 13 2015 wally <wally> 0.5.2-2.mga6
+ Revision: 890340
- add patch from upstream git to replace GTK+ stock icon names with the corresponding ones from Icon Naming Specification

* Fri Oct 09 2015 wally <wally> 0.5.2-1.mga6
+ Revision: 888227
- new version 0.5.2

* Wed Sep 09 2015 wally <wally> 0.5.1-1.mga6
+ Revision: 875286
- new version 0.5.1

* Mon Jun 22 2015 wally <wally> 0.5.0-1.mga6
+ Revision: 839624
- new version 0.5.0

* Sat Jun 20 2015 wally <wally> 0.4.0-1.mga6
+ Revision: 836229
- new version 0.4.0

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-3.mga5
+ Revision: 746293
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-2.mga5
+ Revision: 690645
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 wally <wally> 0.3.1-1.mga5
+ Revision: 672007
- new version 0.3.1

* Mon Aug 04 2014 wally <wally> 0.3.0-1.mga5
+ Revision: 659640
- new version 0.3.0

* Tue Jul 29 2014 wally <wally> 0.2.1-1.mga5
+ Revision: 658074
- new version 0.2.1

* Sat Jun 14 2014 wally <wally> 0.2.0-1.mga5
+ Revision: 636155
- new version 0.2.0

* Sat May 24 2014 wally <wally> 0.1.91-1.mga5
+ Revision: 625426
- new version 0.1.91

* Wed Mar 26 2014 wally <wally> 0.1.6-2.mga5
+ Revision: 608787
- fix URL
- use source tarball from 'new homepage'

* Wed Mar 26 2014 wally <wally> 0.1.6-1.mga5
+ Revision: 608778
- mageiafy .spec
- imported package xfdashboard


* Sun Mar 23 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.6-2
- Updated to 0.1.6
- Added xfdashboard.xml to files section

* Sun Mar 23 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.6-1
- Updated to 0.1.6

* Sat Mar 8 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.5-1
- Updated to latest release containing new enhancements

* Tue Feb 25 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.4-2
- Patch for enabling workspace switching added
- Upstream bug - issue#1 on github

* Mon Feb 24 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.4-1
- Updated to the latest upstream version
- Includes theming support (provides a default theme)

* Tue Feb 11 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.3-1
- Updated to the latest upstream version

* Mon Feb 10 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.2-3
- Corrected flags used for building the package
- Edited the description

* Sun Feb 02 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.2-2
- Corrected version used for packaging
- Added the doc files

* Wed Jan 29 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.3-1
- Initial build for Fedora
